#include <inttypes.h>
#include <malloc.h>
#include <string.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>

#include "intelhex.h"

int main (int argc, char *argv[]) {
    
    char    x[2];
    uint8_t i = 0;
    uint8_t y;
    
    printf("  #\tHex\tInt\n");
    
    do {
        i--;
        
        ihex_hex(x, 255-i);
        y = ihex_int(x);
        
        printf("%3u\t0x%c%c\t%3u\n", 255-i, x[0], x[1], y);
        
        if (y != (255 - i)) {
            fprintf(stderr, "FAIL\n");
            return 1;
        }
    } while (i);
    
    printf("All tests passed!\n");
    
    return 0;
}